Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class InputNumberSliderRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.RendererBase
              org.richfaces.renderkit.InputRendererBase
                  org.richfaces.renderkit.InputNumberSliderRendererBase

Direct Known Subclasses:
  InputNumberSliderRenderer

    public abstract class InputNumberSliderRendererBase

extends InputRendererBase

Author:
  Nick Belaevski

Constructor Summary
`InputNumberSliderRendererBase()`

Method Summary
`protected boolean` | `isInputPosition(javax.faces.component.UIComponent component, String name)`

Methods inherited from class org.richfaces.renderkit.InputRendererBase
`doDecode, getConvertedValue, getInputValue`

Methods inherited from class org.richfaces.renderkit.RendererBase
`concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InputNumberSliderRendererBase

    public InputNumberSliderRendererBase()

Method Detail

### isInputPosition

    protected boolean isInputPosition(javax.faces.component.UIComponent component,
                                      String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.